svn commit: r50283 - head/share/examples

Glen Barber <[email protected]>
Newsgroups gmane.os.freebsd.devel.cvs.doc
Message-ID <[email protected]>
Author: gjb
Date: Thu May 25 15:54:03 2017
New Revision: 50283
URL: https://svnweb.freebsd.org/changeset/doc/50283

Log:
  Skip lines starting with a comment or whitespace.
  
  Sponsored by:	The FreeBSD Foundation

Modified:
  head/share/examples/check-manref.sh

Modified: head/share/examples/check-manref.sh
==============================================================================
--- head/share/examples/check-manref.sh	Thu May 25 15:50:52 2017	(r50282)
+++ head/share/examples/check-manref.sh	Thu May 25 15:54:03 2017	(r50283)
@@ -56,6 +56,12 @@ while [ "$x" != "$lastline" ]; do
     wol_l=$x;
     word_on_line;
     if [ "$last" ]; then
+	echo "${wol_w}" | grep -Eq "^[0-9]+:(<\!--| )"
+	skip=$?
+	if [ ${skip} -eq 0 ]; then
+	    last=
+	    continue
+	fi
 	if [ "$last" = "$wol_w" ]; then
 	    echo "Duplicate \"$last\" (l. $x).";
 	    exit 1;
_______________________________________________
[email protected] mailing list
https://lists.freebsd.org/mailman/listinfo/svn-doc-all
To unsubscribe, send any mail to "[email protected]"
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.